<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <script src="../static/jquery-3.6.0.min.js"></script>
    <title>鍵盤打字練習器 (網頁版)</title>
  </head>
  <body>
    <h1>鍵盤打字練習器 (網頁版)</h1>
    <button id="btnDemo">測試 API</button>
    <h2>練習報告</h2>
    <h3 id="txtKeyword"></h3>
    <table id="tbResult" border="1">
      <!-- <tr>
        <td>編號</td>
        <td>期望次數</td>
        <td>練習次數</td>
        <td>正確次數</td>
        <td>錯誤次數</td>
        <td>正確率</td>
        <td>花費時間</td>
        <td>平均速度</td>
        <td>開始時間</td>
        <td>結束時間</td>
      </tr>

      <tr>
        <td>2</td>
        <td>3</td>
        <td>3</td>
        <td>2</td>
        <td>1</td>
        <td>66.67 %</td>
        <td>38.76</td>
        <td>12.92</td>
        <td>2021-11-14 , 01:00:03</td>
        <td>2021-11-14 , 01:00:41</td>
      </tr> -->
    </table>

    <script>
      $(function () {
        var $btnDemo = $("#btnDemo");
        var $txtKeyword = $("#txtKeyword");
        var $tbResult = $("#tbResult");

        var tableTitle =
          "<tr>" +
          "<td>編號</td>" +
          "<td>期望次數</td>" +
          "<td>練習次數</td>" +
          "<td>正確次數</td>" +
          "<td>錯誤次數</td>" +
          "<td>正確率</td>" +
          "<td>花費時間</td>" +
          "<td>平均速度</td>" +
          "<td>開始時間</td>" +
          "<td>結束時間</td>" +
          "</tr>";

        $btnDemo.off("click").on("click", function () {
          queryPracticeResult();
        });

        var initViewData = function () {
          queryPracticeResult();
        };

        var queryPracticeResult = function () {
          $.ajax({
            url: "/result",
            data: {},
            type: "GET",
            success: function (data) {
              console.log(data);
              if (data != undefined) {
                $txtKeyword.text("練習題目 :" + data[0].keyword);
              }
              $tbResult.empty();
              $tbResult.append(tableTitle);
              $.each(data, function (idx, val) {
                view =
                  "<tr>" +
                  "<td>" +
                  (idx + 1) +
                  "</td>" +
                  "<td>" +
                  val.expect_time +
                  "</td>" +
                  "<td>" +
                  val.actual_time +
                  "</td>" +
                  "<td>" +
                  val.correct_time +
                  "</td>" +
                  "<td>" +
                  val.error_time +
                  "</td>" +
                  "<td>" +
                  val.correct_rate +
                  "</td>" +
                  "<td>" +
                  val.total_time +
                  "</td>" +
                  "<td>" +
                  val.speed_rate +
                  "</td>" +
                  "<td>" +
                  val.start_time +
                  "</td>" +
                  "<td>" +
                  val.end_time +
                  "</td>" +
                  "</tr>";
              });
              $tbResult.append(view);
            },
            error: function (xhr) {
              alert("Ajax request 發生錯誤");
            },
          });
        };

        initViewData();
      });
    </script>
  </body>
</html>
